#!/bin/bash
#-----------------------
# gPyCompile Installer
#-----------------------

if [ $(id -u) != "0" ]; then
	echo "You must be root to install this program. Try sudo" >&2
	exit 1
fi

echo "Checking system requirments..."

PKG_PYTHON=`dpkg -l | grep python2.4`
PKG_LIBWXGTK=`dpkg -l | grep libwxgtk`
PKG_PYWXGTK=`dpkg -l | grep python-wxgtk`

if [ -z "$PKG_PYTHON" ]; then
	echo "The package python2.4 was not found, please install it."
	exit 1
else
	echo "Package python... found"
	sleep 1
fi

if [ -z "$PKG_LIBWXGTK" ]; then
	echo "The package libwxgtk was not found, please install it."
	exit 1
else
	echo "Package libwxgtk... found"
	sleep 1
fi

if [ -z "$PKG_PYWXGTK" ]; then
	echo "The package python-wxgtk was not found, please install it."
	exit 1
else
	echo "Package python-wxgtk... found"
	sleep 1
fi

echo "Done" && sleep 1

echo -n "Installing program... "
mkdir /opt/gpycompile
mkdir /opt/gpycompile/src
cp ./gPyCompile.pyc /opt/gpycompile && chmod +x /opt/gpycompile/gPyCompile.pyc
cp ./gPyCompile.py /opt/gpycompile/src && chmod +x /opt/gpycompile/src/gPyCompile.py
cp ./readme.txt /opt/gpycompile
cp ./gpycompile.png /usr/share/pixmaps
echo "Done" && sleep 1

echo -n "Installing executable... "
cp ./gpycompile.sh /usr/bin/gpycompile && chmod +x /usr/bin/gpycompile
echo "Done"

echo "Installation Complete!" && exit 0
